## vicar 0.1-1

=== Makefile ===
#############################################################################
# Makefile for building: vicar
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 16:23:45 2010
# Project:  vicar.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile vicar.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/sudheer/vicar-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/sudheer/vicar-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: vicar.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile vicar.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile vicar.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 12:13:40 2010
# Project:  src.pro
# Template: subdirs
# Command: /home/sudheer/qtsdk-2010.02/qt/bin/qmake -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /home/sudheer/qtsdk-2010.02/qt/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-vicar-lib \
		sub-vicar-daemon \
		sub-vicar-config

vicar-lib/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) vicar-lib/ || $(MKDIR) vicar-lib/ 
	cd vicar-lib/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.1/src/vicar-lib/vicar-lib.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-vicar-lib-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) vicar-lib/ || $(MKDIR) vicar-lib/ 
	cd vicar-lib/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.1/src/vicar-lib/vicar-lib.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-vicar-lib: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE)
sub-vicar-lib-make_default-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-lib-make_default: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-lib-make_first-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-lib-make_first: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-lib-all-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-lib-all: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-lib-clean-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-lib-clean: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-lib-distclean-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-lib-distclean: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-lib-install_subtargets-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-lib-install_subtargets: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-lib-uninstall_subtargets-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-vicar-lib-uninstall_subtargets: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) uninstall
vicar-daemon/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) vicar-daemon/ || $(MKDIR) vicar-daemon/ 
	cd vicar-daemon/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.1/src/vicar-daemon/vicar-daemon.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-vicar-daemon-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) vicar-daemon/ || $(MKDIR) vicar-daemon/ 
	cd vicar-daemon/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.1/src/vicar-daemon/vicar-daemon.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-vicar-daemon: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE)
sub-vicar-daemon-make_default-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-make_default-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-daemon-make_default: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-daemon-make_first-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-make_first-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-daemon-make_first: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-daemon-all-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-all-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-daemon-all: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-daemon-clean-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-clean-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-daemon-clean: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-daemon-distclean-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-distclean-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-daemon-distclean: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-daemon-install_subtargets-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-install_subtargets-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-daemon-install_subtargets: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-daemon-uninstall_subtargets-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-uninstall_subtargets-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-vicar-daemon-uninstall_subtargets: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) uninstall
vicar-config/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) vicar-config/ || $(MKDIR) vicar-config/ 
	cd vicar-config/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.1/src/vicar-config/vicar-config.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-vicar-config-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) vicar-config/ || $(MKDIR) vicar-config/ 
	cd vicar-config/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.1/src/vicar-config/vicar-config.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-vicar-config: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE)
sub-vicar-config-make_default-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-make_default-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-config-make_default: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-config-make_first-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-make_first-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-config-make_first: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-config-all-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-all-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-config-all: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-config-clean-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-clean-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-config-clean: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-config-distclean-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-distclean-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-config-distclean: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-config-install_subtargets-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-install_subtargets-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-config-install_subtargets: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-config-uninstall_subtargets-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-uninstall_subtargets-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-vicar-config-uninstall_subtargets: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: src.pro  /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64/qmake.conf /home/sudheer/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro
/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro

qmake_all: sub-vicar-lib-qmake_all sub-vicar-daemon-qmake_all sub-vicar-config-qmake_all FORCE

make_default: sub-vicar-lib-make_default-ordered sub-vicar-daemon-make_default-ordered sub-vicar-config-make_default-ordered FORCE
make_first: sub-vicar-lib-make_first-ordered sub-vicar-daemon-make_first-ordered sub-vicar-config-make_first-ordered FORCE
all: sub-vicar-lib-all-ordered sub-vicar-daemon-all-ordered sub-vicar-config-all-ordered FORCE
clean: sub-vicar-lib-clean-ordered sub-vicar-daemon-clean-ordered sub-vicar-config-clean-ordered FORCE
distclean: sub-vicar-lib-distclean-ordered sub-vicar-daemon-distclean-ordered sub-vicar-config-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-vicar-lib-install_subtargets-ordered sub-vicar-daemon-install_subtargets-ordered sub-vicar-config-install_subtargets-ordered FORCE
uninstall_subtargets: sub-vicar-lib-uninstall_subtargets-ordered sub-vicar-daemon-uninstall_subtargets-ordered sub-vicar-config-uninstall_subtargets-ordered FORCE

=== src/vicar-config/Makefile ===
#############################################################################
# Makefile for building: vicar-config
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 15:00:30 2010
# Project:  vicar-config.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile vicar-config.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I. -I/targets/FREMANTLE_X86/usr/include/gconf/2 -I/targets/FREMANTLE_X86/usr/include/glib-2.0 -I/targets/FREMANTLE_X86/usr/lib/glib-2.0/include -I../vicar-lib/src -Imocs -Iuis
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/main.cpp \
		src/configwidget.cpp mocs/moc_configwidget.cpp
OBJECTS       = objs/main.o \
		objs/configwidget.o \
		objs/moc_configwidget.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		vicar-config.pro
QMAKE_TARGET  = vicar-config
DESTDIR       = 
TARGET        = vicar-config

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): uis/ui_configwidget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: vicar-config.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile vicar-config.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-config.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar-config1.0.0 || $(MKDIR) objs/vicar-config1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar-config1.0.0/ && $(COPY_FILE) --parents src/configwidget.h objs/vicar-config1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/configwidget.cpp objs/vicar-config1.0.0/ && $(COPY_FILE) --parents uis/configwidget.ui objs/vicar-config1.0.0/ && (cd `dirname objs/vicar-config1.0.0` && $(TAR) vicar-config1.0.0.tar vicar-config1.0.0 && $(COMPRESS) vicar-config1.0.0.tar) && $(MOVE) `dirname objs/vicar-config1.0.0`/vicar-config1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar-config1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_configwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_configwidget.cpp
mocs/moc_configwidget.cpp: src/configwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/configwidget.h -o mocs/moc_configwidget.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: uis/ui_configwidget.h
compiler_uic_clean:
	-$(DEL_FILE) uis/ui_configwidget.h
uis/ui_configwidget.h: uis/configwidget.ui
	/usr/bin/uic uis/configwidget.ui -o uis/ui_configwidget.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

objs/main.o: src/main.cpp src/configwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o src/main.cpp

objs/configwidget.o: src/configwidget.cpp src/configwidget.h \
		uis/ui_configwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/configwidget.o src/configwidget.cpp

objs/moc_configwidget.o: mocs/moc_configwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_configwidget.o mocs/moc_configwidget.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/vicar-daemon/Makefile ===
#############################################################################
# Makefile for building: vicar-daemon
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 16:19:41 2010
# Project:  vicar-daemon.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile vicar-daemon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/gconf/2 -I/targets/FREMANTLE_X86/usr/include/glib-2.0 -I/targets/FREMANTLE_X86/usr/lib/glib-2.0/include -I../vicar-lib/src -Imocs
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/usr/lib -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/main.cpp \
		src/callrouter.cpp mocs/moc_callrouter.cpp
OBJECTS       = objs/main.o \
		objs/callrouter.o \
		objs/moc_callrouter.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		vicar-daemon.pro
QMAKE_TARGET  = vicar-daemon
DESTDIR       = 
TARGET        = vicar-daemon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: vicar-daemon.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile vicar-daemon.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-daemon.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar-daemon1.0.0 || $(MKDIR) objs/vicar-daemon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents src/callrouter.h objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/callrouter.cpp objs/vicar-daemon1.0.0/ && (cd `dirname objs/vicar-daemon1.0.0` && $(TAR) vicar-daemon1.0.0.tar vicar-daemon1.0.0 && $(COMPRESS) vicar-daemon1.0.0.tar) && $(MOVE) `dirname objs/vicar-daemon1.0.0`/vicar-daemon1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar-daemon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_callrouter.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_callrouter.cpp
mocs/moc_callrouter.cpp: src/callrouter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/callrouter.h -o mocs/moc_callrouter.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/main.o: src/main.cpp src/callrouter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o src/main.cpp

objs/callrouter.o: src/callrouter.cpp src/callrouter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/callrouter.o src/callrouter.cpp

objs/moc_callrouter.o: mocs/moc_callrouter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_callrouter.o mocs/moc_callrouter.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/vicar-lib/Makefile ===
#############################################################################
# Makefile for building: libvicar.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 9 13:32:52 2010
# Project:  vicar-lib.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile vicar-lib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/gconf/2 -I/targets/FREMANTLE_X86/usr/include/glib-2.0 -I/targets/FREMANTLE_X86/usr/lib/glib-2.0/include -Imocs
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/dbusutility.cpp \
		src/gconfutility.cpp mocs/moc_gconfutility.cpp
OBJECTS       = objs/dbusutility.o \
		objs/gconfutility.o \
		objs/moc_gconfutility.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		vicar-lib.pro
QMAKE_TARGET  = vicar
DESTDIR       = ../lib/
TARGET        = libvicar.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../lib/$(TARGET) 

staticlib: ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../lib/


Makefile: vicar-lib.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile vicar-lib.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-lib.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar1.0.0 || $(MKDIR) objs/vicar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.h src/gconfutility.h objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.cpp src/gconfutility.cpp objs/vicar1.0.0/ && (cd `dirname objs/vicar1.0.0` && $(TAR) vicar1.0.0.tar vicar1.0.0 && $(COMPRESS) vicar1.0.0.tar) && $(MOVE) `dirname objs/vicar1.0.0`/vicar1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_gconfutility.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_gconfutility.cpp
mocs/moc_gconfutility.cpp: src/gconfutility.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/gconfutility.h -o mocs/moc_gconfutility.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/dbusutility.o: src/dbusutility.cpp src/dbusutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/dbusutility.o src/dbusutility.cpp

objs/gconfutility.o: src/gconfutility.cpp src/gconfutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/gconfutility.o src/gconfutility.cpp

objs/moc_gconfutility.o: mocs/moc_gconfutility.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_gconfutility.o mocs/moc_gconfutility.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 
	-$(INSTALL_FILE) "../lib/$(TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
vicar (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Sudheer K. <scifi.guy@hotmail.com>  Sat,  8 May 2010 13:57:08 -0700

=== debian/control ===
Source: vicar
Section: user/network
Priority: extra
Maintainer: Sudheer K. <scifi.guy@hotmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
Standards-Version: 3.7.2
Homepage: vicar.garage.maemo.org
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5673&group_id=1586
XB-Maemo-Display-Name: VICaR - Value International Call Router

Package: vicar
Architecture: any
Depends: ${shlibs:Depends}
Description: Automatically routes international GSM calls through a calling card number.
 * Calling card number and other options can be configured by launching VICaR from applications menu.
 * Make sure to update all your international numbers to start with the appropriate dialing code and a prefix of + or 00.
 * To avoid routing local calls through VICaR, add the local country codes to the list of country codes to exclude.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := vicar
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
